[![Build Status](https://travis-ci.org/lingohub/lingohub-rubocop.svg?branch=master)](https://travis-ci.org/lingohub/lingohub-rubocop)

# RuboCop LingoHub

This repository provides recommended RuboCop configuration and additional Cops for use on LingoHub open source and internal Ruby projects.

## Installation

**Gemfile**

``` ruby
gem "lingohub-rubocop"
```

**.rubocop.yml**

``` yaml
inherit_gem:
  lingohub-rubocop:
    - config/default.yml
    - config/rails.yml
```

## The Cops

All cops are located under [`lib/rubocop/cop/lingohub`](lib/rubocop/cop/lingohub), and contain examples/documentation.

## Acknowledgements

This repository was heavily influenced by the GitHub Rubocop [`https://github.com/github/rubocop-github`](https://github.com/github/rubocop-github). Thanks!